### Method

# FwupdPlugin UdevDevice get_parent_with_subsystem

since: 1.7.6

#### Declaration [src]

    FuUdevDevice*
    fu_udev_device_get_parent_with_subsystem (
      FuUdevDevice* self,
      const gchar* subsystem
    )

#### Description [src]

Get the device that is a parent of self and has the provided subsystem.

Available since: 1.7.6

#### Parameters

`subsystem`

  Type: `const gchar*`

  The name of a udev subsystem.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuUdevDevice`

Device, or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.